require 'player'
require 'bullet'
require 'button'
require 'collision'
require 'border'
require 'enemy'
function love.load()
  player_load()
  bullet_load()
  button_load()
  border_load()
  enemy_load()
  
  math.randomseed(os.time())
end

function love.update(dt)
  player_move(dt)
  bullet_update(dt)
  enemy_update(dt)
  border_update(dt)
  --col_update(dt)
end

function love.draw()
  local p=player
  player_draw()
  love.graphics.setBackgroundColor(255,255,255)
  bullet_draw()
  love.graphics.setColor(0,0,0)
  --debug/testing section
  
  love.graphics.print('WASD - Move | 1,2,3 - Change RGB Values | Space/LMB - Shoot | Cursor - Aim',200,10)
  
  
  border_draw()
  enemy_draw()
  love.graphics.print('Number of bullets: '..bullet.count,10,10)
  button_draw()
end

function love.keypressed(key)
  if key == 'escape' then
      love.event.push('quit')
  end
end

function get_RGB(color)
  local r,g,b=player.cR,player.cG,player.cB
  if color == 'red' then
    return r
  elseif color == 'green' then
    return g
  elseif color == 'blue' then
    return b
  end
end

function checkCol(obj1,obj2)
	for i,ob1 in ipairs(obj1) do
		for e,ob2 in ipairs(obj2) do
			if ob1.y < ob2.y+obj2.height and ob1.y+obj1.height > ob2.y and ob1.x+obj1.width>ob2.x and ob1.x<ob2.x+obj2.width then
				ob1.isCollide=true
				ob2.isCollide=true
			end
		end
	end
	return obj1,obj2
end